Subject: Re: Resident Programs
From: [email-masked] (James Cooper)
Date: Thu, 16 Jun 1994 17:27:34 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] writes:
>Ok thanks for the info on the resident code.. I have heard that the ctime() as
>well as the gmtime(), which I am using to convert number of seconds from 1970
>to readable time, is not compatible with a resident program since it uses a
>static varaible or something.. if that is true I would have to replace it I
>suppose.. is that true?

Nope.  Just link with cres.o, and you can use any routine from our
libraries.

cres.o makes a complete new copy of *all* globals & statics each time
the program is invoked, so there's no problem.

As stated in my previous message, the only thing you'ld need to worry
about is if you have an interrupt routine, a callback Hook, or one of
the other, newer, more esoteric ways to get yourself into trouble... :-)

-- 
---------------
Jim Cooper
([email-masked])                             bix: jcooper

Any opinions expressed herein are mine (Mine, all mine!  Ha, ha, ha!),
and not necessarily those of my employer.

Remember, "Euphemisms are for the differently brained."